<?php include('include/headscript.php'); ?>
<?php


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $iduser = $_POST['iduser'];
    $idyogaschool = $_POST['idyogaschool'];
    $product_id = $_POST['product_id']; // Dovrebbe essere 0 per le scuole
    $conn = new mysqli($servername, $username, $password, $database);
    // Verifica la connessione al database
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Prepara la query per rimuovere dai preferiti
    $query = "DELETE FROM bookmarks WHERE iduser = ? AND idyogaschool = ? AND product_id = ?";

    if ($stmt = $conn->prepare($query)) {
        // Associa i parametri alla query
        $stmt->bind_param('iii', $iduser, $idyogaschool, $product_id);

        // Esegui la query
        if ($stmt->execute()) {
            echo "Rimosso dai preferiti con successo";
        } else {
            echo "Errore durante la rimozione dai preferiti";
        }

        $stmt->close();
    } else {
        echo "Errore nella preparazione della query";
    }

    $conn->close();
}
